Bug 1269345 - (CVE-2015-7181) CVE-2015-7181 nss: use-after-poison in sec_asn1d_parse_leaf() (MFSA 2015-133)
CVE-2015-7181 nss: use-after-poison in sec_asn1d_parse_leaf() (MFSA 2015-133)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20151103,repor...
: Security
Depends On: 1269354 1269355 1269356 1269357 1269358 1269382 1269383 1269384 1269385
Blocks: 1269376
  Show dependency treegraph
 
Reported: 2015-10-07 01:52 EDT by Huzaifa S. Sidhpurwala
Modified: 2016-10-06 08:29 EDT (History)
4 users (show)

See Also:
Fixed In Version: nss 3.19.2.1, nss 3.19.4, nss 3.20.1
Doc Type: Bug Fix
Doc Text:
A use-after-poison flaw was found in the way NSS parsed certain ASN.1 structures. An attacker could use this flaw to cause NSS to crash or execute arbitrary code with the permissions of the user running an application compiled against the NSS library.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-18 01:56:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2015-10-07 01:52:42 EDT
Mozilla engineers Tyson Smith reported a use-after-poison in the ASN.1 decoder in Network Security Services (NSS). These issues were in octet string parsing and were found through fuzzing and code inspection. If these issues were exploited, they would lead to a potentially exploitable crash. 

These issues were fixed in NSS version 3.19.2.1 and 3.19.4, shipped in Firefox and Firefox ESR, respectively, as well as NSS 3.20.1.

Upstream bug:

https://bugzilla.mozilla.org/show_bug.cgi?id=1192028

External Reference:

https://www.mozilla.org/security/announce/2015/mfsa2015-133.html
https://access.redhat.com/articles/2043623

Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Tyson Smith as the original reporter.
Comment 5 errata-xmlrpc 2015-11-04 02:12:13 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2015:1980 https://rhn.redhat.com/errata/RHSA-2015-1980.html
Comment 6 errata-xmlrpc 2015-11-04 07:49:33 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2015:1981 https://rhn.redhat.com/errata/RHSA-2015-1981.html
Comment 7 errata-xmlrpc 2015-11-18 01:28:46 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.5 EUS - Server and Compute Node Only
  Red Hat Enterprise Linux 6.6 EUS - Server and Compute Node Only
  Red Hat Enterprise Linux 6.2 AUS
  Red Hat Enterprise Linux 6.4 AUS - Server Only

Via RHSA-2015:2068 https://rhn.redhat.com/errata/RHSA-2015-2068.html

Note You need to log in before you can comment on or make changes to this bug.